## indicator-network 0.5.1%2b15.04.20150412

=== tests/CMakeLists.txt ===

include(FindGMock)

find_package("Valgrind" REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(autopilot)
add_subdirectory(integration)
add_subdirectory(data)
add_subdirectory(menuharness)
add_subdirectory(unit)
add_subdirectory(utils)

=== src/connectivity-cpp/CMakeLists.txt ===

set(CONNECTIVITY_CPP_VERSION_MAJOR 0)
set(CONNECTIVITY_CPP_VERSION_MINOR 0)
set(CONNECTIVITY_CPP_VERSION_PATCH 1)

include_directories(
    "${CMAKE_CURRENT_SOURCE_DIR}/include"
    "${CMAKE_CURRENT_SOURCE_DIR}/backend"
    "${CMAKE_CURRENT_BINARY_DIR}/backend"
)
pkg_check_modules(
    PROPERTIESCPP REQUIRED
    properties-cpp
)
include_directories(${PROPERTIESCPP_INCLUDE_DIRS})

pkg_check_modules(
    DBUSCPP REQUIRED
    dbus-cpp
)
include_directories(${DBUSCPP_INCLUDE_DIRS})

pkg_check_modules(
    NETWORKMANAGER REQUIRED
    NetworkManager
)
include_directories(${NETWORKMANAGER_INCLUDE_DIRS})

# list these here to have them visible in Qt Creator
set(CONNECTIVITY_INTERFACES
    include/connectivity/networking/link.h
    include/connectivity/networking/manager.h
    include/connectivity/networking/service.h

    include/connectivity/networking/service/tethering/service.h
    include/connectivity/networking/service/tor/service.h
    include/connectivity/networking/service/vpn/service.h

    include/connectivity/networking/wifi/access-point.h
    include/connectivity/networking/wifi/link.h

    include/connectivity/networking/wwan/link.h
)
add_custom_target(QtCreatorHeaderHack SOURCES ${CONNECTIVITY_INTERFACES})

add_subdirectory(data)
#add_subdirectory(doc)
#add_subdirectory(examples)
add_subdirectory(src)

=== src/indicator/CMakeLists.txt ===

pkg_check_modules(
    NETWORKMANAGER REQUIRED
    NetworkManager
)
include_directories(${NETWORKMANAGER_INCLUDE_DIRS})

pkg_check_modules(
    QOFONO REQUIRED
    qofono-qt5
)
include_directories(${QOFONO_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/src")
include_directories("${CMAKE_BINARY_DIR}/src/qdbus-stubs")
include_directories("${CMAKE_SOURCE_DIR}/src/qdbus-stubs")

# list these here to have them visible in Qt Creator
file(
        GLOB_RECURSE NETWORK_SERVICE_HEADERS
        RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
        "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
)
add_custom_target(QtCreatorHeaderHack SOURCES ${NETWORK_SERVICE_HEADERS})

set(NETWORK_SERVICE_SOURCES
    ${NETWORK_SERVICE_HEADERS}

    nmofono/kill-switch-impl.cpp
    nmofono/manager.cpp
    nmofono/manager-impl.cpp
    nmofono/wifi/access-point.cpp
    nmofono/wifi/access-point-impl.cpp
    nmofono/wifi/grouped-access-point-impl.cpp
    nmofono/wifi/wifi-link-impl.cpp

    factory.cpp
    indicator-menu.cpp
    menu-builder.cpp
    modem.cpp
    modem-manager.cpp
    sim-unlock-dialog.cpp
    root-state.cpp
    sections/quick-access-section.cpp
    sections/wifi-section.cpp
    sections/wwan-section.cpp

    connectivity-service/connectivity-service.cpp

    menuitems/access-point-item.cpp
    menuitems/switch-item.cpp
    menuitems/text-item.cpp
    menuitems/wifi-link-item.cpp
    menuitems/wwan-link-item.cpp
    menuitems/modem-info-item.cpp
    
    util/unix-signal-handler.cpp
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.ubuntu.connectivity1.NetworkingStatus.xml"
    connectivity-service/connectivity-service.h
    connectivity_service::ConnectivityService
    NetworkingStatusAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.ubuntu.connectivity1.Private.xml"
    connectivity-service/connectivity-service.h
    connectivity_service::PrivateService
    NetworkingStatusPrivateAdaptor
)

add_library(
  indicator-network-service-static
  STATIC
  ${NETWORK_SERVICE_SOURCES}
)

target_link_libraries(
    indicator-network-service-static
    menumodel_cpp
    notify_cpp
    url_dispatcher_cpp
    qdbus-stubs
    ${DBUSCPP_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
    ${NOTIFY_LIBRARIES}
    ${QOFONO_LIBRARIES}
)

qt5_use_modules(
    indicator-network-service-static
    Core
    DBus
)

###########################
# Executable
###########################

add_executable(
  indicator-network-service
  main.cpp
)

target_link_libraries(
    indicator-network-service
    indicator-network-service-static
)

qt5_use_modules(
    indicator-network-service
    Core
    DBus
)

###########################
# Installation
###########################

install(
  TARGETS indicator-network-service
  RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/indicator-network/"
)

=== src/qdbus-stubs/CMakeLists.txt ===
# Copyright © 2015 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#     Marcus Tomlinson <marcus.tomlinson@canonical.com>

set_source_files_properties(
    "${DATA_DIR}/nm-device.xml"
    "${DATA_DIR}/nm-device-wifi.xml"
    "${DATA_DIR}/nm-access-point.xml"
    "${DATA_DIR}/nm-active-connection.xml"
    "${DATA_DIR}/com.ubuntu.connectivity1.NetworkingStatus.xml"
    "${DATA_DIR}/com.ubuntu.connectivity1.Private.xml"
    "${DATA_DIR}/org.freedesktop.URfkill.xml"
    "${DATA_DIR}/org.freedesktop.URfkill.Device.xml"
    "${DATA_DIR}/org.freedesktop.URfkill.Killswitch.xml"
    PROPERTIES
    NO_NAMESPACE YES
)

set_source_files_properties(
    "${DATA_DIR}/nm-settings-connection.xml"
    "${DATA_DIR}/nm-manager.xml"
    PROPERTIES
    NO_NAMESPACE YES
    INCLUDE "DBusTypes.h"
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.URfkill.xml"
    URfkillInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.URfkill.Device.xml"
    URfkillDeviceInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.URfkill.Killswitch.xml"
    URfkillKillswitchInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-manager.xml"
    NetworkManagerInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-device.xml"
    NetworkManagerDeviceInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-device-wifi.xml"
    NetworkManagerDeviceWirelessInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-access-point.xml"
    NetworkManagerAccessPointInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-active-connection.xml"
    NetworkManagerActiveConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-settings-connection.xml"
    NetworkManagerSettingsConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/com.ubuntu.connectivity1.NetworkingStatus.xml"
    NetworkingStatusInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/com.ubuntu.connectivity1.Private.xml"
    NetworkingStatusPrivateInterface
)

add_library(
    qdbus-stubs
    STATIC
    ${CONNECTIVITY_BACKEND_SRC}
)

qt5_use_modules(
    qdbus-stubs
    DBus
)

=== tests/unit/CMakeLists.txt ===
#///! TODO: The following should be removed once all dependancy on qmenumodel is removed
pkg_check_modules(QMENUMODEL REQUIRED qmenumodel REQUIRED)
include_directories(${QMENUMODEL_INCLUDE_DIRS})

add_subdirectory(indicator)
add_subdirectory(menumodel-cpp)
add_subdirectory(secret-agent)

## indicator-network 0.3.8

=== debian/changelog ===
indicator-network (0.3.8-0ubuntu6) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:12:19 -0500

indicator-network (0.3.8-0ubuntu5) precise; urgency=low

  * Remove .a/.la files from the new indicators path as well as the old.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:18:57 +0000

indicator-network (0.3.8-0ubuntu4) oneiric; urgency=low

  * debian/source/format: switch to source format 3.0 (quilt).
  * debian/rules: switch to using the dh sequencer, port la file removal and
    passing the --list-missing flag to dh_install to an override.
  * debian/control: bump Build-Depends on debhelper to (>= 7.0.50~) and drop
    the cdbs Build-Depends.
  * debian/control: replace Build-Depends with the Gtk-3 equivalents:
    - libido-0.1-dev becomes libido3-0.1-dev.
    - libgtk2.0-dev becomes libgtk-3-dev.
    - libdbusmenu-gtk-dev becomes libdbusmenu-gtk3-dev and libdbusmenu-gtk-dev.
    - libindicator-dev becomes libindicator3-dev.
  * debian/control: add valac-0.14 to Build-Depends.
  * debian/patches/gtk3-vala-port.patch: port everything to GTK3 so it can
    actually build and appear in the panel.
  * debian/rules, debian/control: run dh_autoreconf in rules, due to the above
    patch. This means also adding dh-autoreconf to debian/control.
  * debian/compat: add compat file, set to 7.
  * debian/patches/generate_vapi.patch: add the extra Connman-1.0.vapi file and
    generation script included in previous upload, as patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 06 Sep 2011 13:45:12 -0400

indicator-network (0.3.8-0ubuntu3) oneiric; urgency=low

  * libnotify4-dev → libnotify-dev in Build-Depends,
    libnotify4-dev exists only in Natty, not in Oneiric.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 10 Jun 2011 11:00:27 +0200

indicator-network (0.3.8-0ubuntu2) oneiric; urgency=low

  * Build-Depend on intltool.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 06 Jun 2011 00:52:55 +0200

indicator-network (0.3.8-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix IPv6 settings (LP: #686356)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Mar 2011 08:50:18 -0400

indicator-network (0.3.7-0ubuntu1) natty; urgency=low

  * New upstream release
    - settings: hide unneeded tabs in edit network dialog (LP: #736673)
    - Use com.canonical.indicator.network dbus namespace (LP: #735413)
  * debian/control
    - Added build depends libgee-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 12:47:54 -0400

indicator-network (0.3.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - New settings app written in vala. Follows the ui design more 
      closely. (LP: #732608)
    - New settings app written in vala. Follows the ui design more closely.
    - Flight mode support both in Network Menu and in settings app.
    - Proper toggle switches in Network Menu.
    - Network Menu Wi-Fi on/off button doesn't work (LP: #684574)
    - Replace "Wireless: OFF/ON" with "Turn On/Off Wireless" (LP: #664071)
    - indicator icon showing disconnect even really connected (LP: #705329)
    - port from libnotify-dev to libnotify4-dev (LP: #720753)
  * debian/control
    - changed build depends from libnotify-dev to libnotify4-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 11 Mar 2011 02:13:29 -0500

indicator-network (0.3.5-0ubuntu1) natty; urgency=low

  * New upstream release
    - cmcc improvements, ipv6 support and show technology state
    - accessibility support to the network menu
    - first usable version of indicator-network-settings-2 

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 13:22:37 -0500

indicator-network (0.3.4-0ubuntu2) natty; urgency=low

  * debian/control
    - bump build depends for libindicator-dev to >= 0.3.19

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Feb 2011 16:20:40 -0500

indicator-network (0.3.4-0ubuntu1) natty; urgency=low

  * New upstream release
    - Updated to support connman 0.69
  * debian/control
    - Depend on connman >= 0.69
    - Added build depends for libreadline-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Feb 2011 09:52:27 -0500

indicator-network (0.3.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Icon animation starts when network disconnected (LP: #685404)
    - Bluetooth network uses cellular icon (LP: #689304)
    - Beginnings of indicator-network-settings, but not usable yet

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 16 Dec 2010 14:48:28 -0500

indicator-network (0.3.1-0ubuntu3) natty; urgency=low

  * New upstream release
    - service crashes when inserting a modem (LP: #685400)
    - Indicator in wrong state after login (LP: #686415)
    - Cannot enter wpa passphrase (LP: #687414)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Dec 2010 17:15:31 -0500

indicator-network (0.3.0-0ubuntu2) natty; urgency=low

  * debian/control
    - Bump build depends for libdbusmenu-* to >= 0.3.90

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Dec 2010 13:04:33 -0500

indicator-network (0.3.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Ported to use GDBus
    - Use connman's new RequestInput agent API (LP: #656499)
    - Fixed crash with KeyError in get_passphrase (LP: #629021)
  debian/control
    - Depend on connman >= 0.64
    - Bump build depends for libglib2.0-dev to >= 2.26
    - Bump standards version to 3.9.1

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 01 Dec 2010 13:26:38 -0500

indicator-network (0.2.14-0ubuntu1) maverick; urgency=low

  * Include and install indicator-network-daemon-debug. (LP: #648582)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 30 Sep 2010 18:24:19 +0200

indicator-network (0.2.13-0ubuntu2) maverick; urgency=low

  * Rebuild for libindicator ABI change (LP: #637692)
  * debian/control: depends on latest libindicator-dev



=== debian/control ===
Source: indicator-network
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               autotools-dev,
               intltool,
               libglib2.0-dev (>= 2.26),
               libgtk-3-dev (>= 3.0.0),
               libdbus-glib-1-dev,
               libindicator3-dev (>= 0.3.19),
               libdbusmenu-gtk-dev (>= 0.3.90),
               libdbusmenu-gtk3-dev (>= 0.3.90),
               libdbusmenu-glib-dev (>= 0.3.90),
               libido3-0.1-dev (>= 0.1.2),
               libreadline-dev,
  	       libnotify-dev (>= 0.7.0),
               valac-0.14,
               libgee-dev
Standards-Version: 3.9.1
Homepage: http://launchpad.net/indicator-network
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-network/ubuntu
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/indicator-network/ubuntu

Package: indicator-network
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
         python,
         python-dbus,
         python-gtk2,
         python-gobject,
	 connman (>= 0.69),
         mobile-broadband-provider-info
Description: A system network indicator.
 A system network indicator which provides easy control of the Connection
 Manager.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh --with autoreconf $@

override_dh_install:
	# remove .a/.la clutter
	rm -f debian/*/usr/lib/indicators*/*/*.a
	rm -f debian/*/usr/lib/indicators*/*/*.la
	dh_install --list-missing

## indicator-network 0.3.9-newyork26cambridge3

=== debian/changelog ===
indicator-network (0.3.9-newyork26cambridge3) precise; urgency=low

  [ Yuan-Chen Cheng ]
  * Disable Mobile Data toggle and set it to off in airplane mode.
    (LP: #1116713)
  * As Android level go higher, show maximum we have instead of crash.
    (LP: #1118537)

  [ PS Jenkins bot ]
  * Auto build.

 -- PS Jenkins bot <ps-jenkins@lists.canonical.com>  Fri, 08 Mar 2013 03:35:11 +0000

indicator-network (0.3.9-newyork26cambridge2) precise; urgency=low

  * Fix no checkmark on connected AP and related phenomenon.
    (LP: #1099970, LP: #1125560)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Wed, 27 Feb 2013 15:50:55 +0800

indicator-network (0.3.9-newyork26cambridge1) precise; urgency=low

  * Hide the flight mode menu (LP: #1100337)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Wed, 06 Feb 2013 11:05:42 -0700

indicator-network (0.3.9-newyork26) precise; urgency=low

  * Try to reconnect networks that failed to authenticate. (LP: #1031945)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 06 Feb 2013 15:06:56 -0200

indicator-network (0.3.9-newyork25) precise; urgency=low

  * AndroidService: check if WiFi is enabled before calling WiFi related D-Bus methods
  * Indicator: don't force scan request when menu is opened
  * Set window icons for the dialogs. (LP: #1025696)
  * Notify on Airplane mode, wifi and mobile data state changes. (LP: #1025699)

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 24 Jul 2012 05:15:15 +0300

indicator-network (0.3.9-newyork24) precise; urgency=low

  * AndroidService: D-Bus API changes
    - requires android-ubuntu-network >= 164

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 20 Jul 2012 20:08:14 +0300

indicator-network (0.3.9-newyork23) precise; urgency=low

  * NetworkMenu: hide "Other Networks.." if all the APs are visible in the menu already.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 17 Jul 2012 15:56:27 +0300

indicator-network (0.3.9-newyork22) precise; urgency=low

  * PassphraseDialog: Accept the dialog with Enter. (LP: #1018205)
  * AndroidService: scan results as structs.
    - requires android-ubuntu-network >= 160

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 10 Jul 2012 17:36:06 +0300

indicator-network (0.3.9-newyork21) precise; urgency=low

  * Small fix to get proper initial network states if WiFi is disabled.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Thu, 28 Jun 2012 20:19:17 +0300

indicator-network (0.3.9-newyork20) precise; urgency=low

  * Final assets.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Thu, 28 Jun 2012 15:00:31 +0300

indicator-network (0.3.9-newyork19) precise; urgency=low

  * Clear access point list when WiFi gets disabled. (LP: #1018026)

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Wed, 27 Jun 2012 19:02:50 +0300

indicator-network (0.3.9-newyork18) precise; urgency=low

  * UfA 1.0 Feature Complete
  * AirplaneMode icon
  * Radio technology (2g, 3g, 4g) icons for mobile broadband
  * Placeholder assets for radio technology and airplane mode

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 26 Jun 2012 18:32:50 +0300

indicator-network (0.3.9-newyork17) precise; urgency=low

  * two icons in the panel.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Mon, 25 Jun 2012 20:10:35 +0300

indicator-network (0.3.9-newyork16) precise; urgency=low

  * Release for precise.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 22 Jun 2012 19:44:48 +0300

indicator-network (0.3.9-newyork15) quantal; urgency=low

  * Add AndroidTelephonyService.
  * Add operator item in the network menu.
  * Get the operator name from the telephony service when
    showing OSD notify on mobile broadband connection.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 22 Jun 2012 19:19:03 +0300

indicator-network (0.3.9-newyork14) precise; urgency=low

  * Add Connection Information dialog to the indicator menu.
    - NOTE: connection information is available only for WiFi for now.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Sat, 16 Jun 2012 17:09:44 +0300

indicator-network (0.3.9-newyork13) precise; urgency=low

  * Implement switches for airplane mode, wifi enable and mobile data enable

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 15 Jun 2012 16:47:55 +0300

indicator-network (0.3.9-newyork12) precise; urgency=low

  * Other Networks dialog
    - shows a list of all available networks
  * Show only 5 access points in the indicator.
    - The rest are available from "More Networks..." dialog.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 12 Jun 2012 19:50:14 +0300

indicator-network (0.3.9-newyork11) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path.
    (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:50:47 +0200

indicator-network (0.3.9-newyork10) precise; urgency=low

  * Notifications on CONNECT and DISCONNECT.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 22 May 2012 22:37:03 +0300

indicator-network (0.3.9-newyork9) precise; urgency=low

  * Connect to network.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 18 May 2012 22:14:15 +0300

indicator-network (0.3.9-newyork8) precise; urgency=low

  * Quick fix to accommodate the change in the D-Bus API.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Wed, 16 May 2012 19:03:31 +0300

indicator-network (0.3.9-newyork7) precise; urgency=low

  * Switch over to the new Android Ubuntu Service.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Thu, 12 Apr 2012 14:01:57 +0300

indicator-network (0.3.9-newyork6) precise; urgency=low

  * Source upload for precise hard float.
  * Include fixes for some minor memory leaks.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Mon, 19 Mar 2012 14:57:58 +0200

indicator-network (0.3.9-newyork5) precise; urgency=low



=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
          python-dbus,
          python-gtk2,
          python-gobject,
-	 connman (>= 0.69),
          mobile-broadband-provider-info
 Description: A system network indicator.
  A system network indicator which provides easy control of the Connection

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
+CFLAGS  += -DG_DISABLE_ASSERT
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 %:

=== debian/watch ===
version=3
http://launchpad.net/indicator-network/+download .*/indicator-network-([0-9.]+)\.tar\.gz

## indicator-network 0.5.1+13.10.20131015.2

=== CMakeLists.txt ===
project(indicator-network C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE indicator-network)
set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")

add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )

find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
include(Coverage)
include(UseVala)
include(UseGSettings)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
  url-dispatcher-1
)
include_directories(${GLIB_INCLUDE_DIRS})

set(NM_REQUIRED_VERSION 0.9)
pkg_check_modules(
  NM REQUIRED
  libnm-glib>=${NM_REQUIRED_VERSION}
  libnm-util>=${NM_REQUIRED_VERSION}
)
include_directories(${NM_INCLUDE_DIRS})

set(NOTIFY_REQUIRED_VERSION 0.7.5)
pkg_check_modules(
  NOTIFY REQUIRED
  libnotify>=${NOTIFY_REQUIRED_VERSION}
)
include_directories(${NOTIFY_INCLUDE_DIRS})

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

pkg_check_modules(NM REQUIRED NetworkManager REQUIRED)
include_directories(${NM_INCLUDE_DIRS})

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

pkg_check_modules(QTDBUSMOCK REQUIRED libqtdbusmock-1 REQUIRED)
include_directories(${QTDBUSMOCK_INCLUDE_DIRS})

pkg_check_modules(QMENUMODEL REQUIRED qmenumodel REQUIRED)
include_directories(${QMENUMODEL_INCLUDE_DIRS})

pkg_check_modules(GIO REQUIRED gio-2.0>=${GLIB_REQUIRED_VERSION})
include_directories(${GIO_INCLUDE_DIRS})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Vala 0.18)

find_package(GObjectIntrospection 0.9.12)

include_directories(${CMAKE_BINARY_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions(
  -Wall
)

configure_file(
  "config.h.in"
  "config.h"
)

add_subdirectory(data)
add_subdirectory(network)
add_subdirectory(secret-agent)

enable_testing()
add_subdirectory(tests)

ADD_CUSTOM_TARGET(
        check
        ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

=== data/CMakeLists.txt ===

###########################
# Indicator-network service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/unity/indicators"
  CACHE FILEPATH "Indicator directory"
)

install(
  FILES "com.canonical.indicator.network"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Indicator-network upstart job
###########################

set(
  NETWORK_SERVICE
  "${CMAKE_INSTALL_FULL_LIBEXECDIR}/indicator-network/indicator-network-service"
)

configure_file (
  indicator-network.conf.in
  indicator-network.conf
  @ONLY
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/indicator-network.conf"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/upstart/sessions/"
)

###########################
# Secret agent upstart job
###########################

configure_file (
	indicator-secret-agent.conf.in
	indicator-secret-agent.conf
	@ONLY
)

install (
	FILES ${CMAKE_CURRENT_BINARY_DIR}/indicator-secret-agent.conf
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/upstart/sessions
)

###########################
# GSettings
###########################

add_schema ("com.canonical.indicator.network.gschema.xml")

=== secret-agent/CMakeLists.txt ===

set(
	INDICATOR_SECRET_AGENT_SOURCES
	SecretAgent.cpp
	SecretAgentAdaptor.cpp
	SecretRequest.cpp
	gtk/PasswordMenu.cpp
)

qt5_add_dbus_adaptor(
	INDICATOR_SECRET_AGENT_SOURCES
	"${DATA_DIR}/nm-secret-agent.xml"
	SecretAgentInclude.h
	SecretAgent
	SecretAgentAdaptor
)

qt5_add_dbus_interface(
	INDICATOR_SECRET_AGENT_SOURCES
	"${DATA_DIR}/nm-agent-manager.xml"
	AgentManagerInterface
)

set_source_files_properties(
	"${DATA_DIR}/org.freedesktop.Notifications.xml"
	PROPERTIES
	INCLUDE "DBusTypes.h"
)

qt5_add_dbus_interface(
	INDICATOR_SECRET_AGENT_SOURCES
	"${DATA_DIR}/org.freedesktop.Notifications.xml"
	NotificationsInterface
)

add_library(
	indicator-secret-agent
	STATIC
	${INDICATOR_SECRET_AGENT_SOURCES}
)

qt5_use_modules(
	indicator-secret-agent
	Core
	DBus
)

target_link_libraries(
	indicator-secret-agent
	${GIO_LIBRARIES}
)

add_executable(
	indicator-secret-agent-bin
	main.cpp
)

set_target_properties(
	indicator-secret-agent-bin
	PROPERTIES
	OUTPUT_NAME indicator-secret-agent
)

qt5_use_modules(
	indicator-secret-agent-bin
	Core
)

target_link_libraries(
	indicator-secret-agent-bin
	indicator-secret-agent
)

install(
	TARGETS indicator-secret-agent-bin
	RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}"
)

## indicator-network 0.5.1+14.04.20140409.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -75,7 +75,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(Vala 0.18)
+find_package(Vala 0.22)
 
 find_package(GObjectIntrospection 0.9.12)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -54,3 +54,45 @@
 ###########################
 
 add_schema ("com.canonical.indicator.network.gschema.xml")
+
+###########################
+# XDG Autostart File
+###########################
+
+# where to install
+set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
+message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")
+
+set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
+set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
+set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
+
+# build it
+set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
+configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
+
+# install it
+install (FILES "${XDG_AUTOSTART_FILE}"
+         DESTINATION "${XDG_AUTOSTART_DIR}")
+
+###########################
+# Upstart XDG Autostart Override
+###########################
+
+# where to install
+set (UPSTART_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/upstart/xdg/autostart")
+message (STATUS "${UPSTART_XDG_AUTOSTART_DIR} is the Upstart XDG autostart override dir")
+
+set (UPSTART_XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.upstart.desktop")
+set (UPSTART_XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_XDG_AUTOSTART_NAME}")
+set (UPSTART_XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_XDG_AUTOSTART_NAME}.in")
+
+# build it
+set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
+configure_file ("${UPSTART_XDG_AUTOSTART_FILE_IN}" "${UPSTART_XDG_AUTOSTART_FILE}")
+
+# install it
+install (FILES "${UPSTART_XDG_AUTOSTART_FILE}"
+         DESTINATION "${UPSTART_XDG_AUTOSTART_DIR}"
+         RENAME "${XDG_AUTOSTART_NAME}")
+

=== network/CMakeLists.txt ===

add_definitions(
  -w
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

###########################
# libnetwork
###########################

vala_init(libnetwork
  PACKAGES
    libnm-glib
    libnotify
  CUSTOM_VAPIS
    "${CMAKE_CURRENT_SOURCE_DIR}/action-muxer.vapi"
    "${CMAKE_CURRENT_SOURCE_DIR}/url-dispatcher.vapi"
    "${CMAKE_CURRENT_SOURCE_DIR}/util-wrapper.vapi"
)

vala_add(libnetwork
  ofono.vala
)

vala_add(libnetwork
  utils.vala
)

vala_add(libnetwork
  network-action-manager.vala
  DEPENDS
    ofono
    utils
)

vala_add(libnetwork
  network-menu.vala
  DEPENDS
    device-base
    device-ethernet
    device-mobile
    device-wifi
    settings-base
    settings-wifi
    settings-airplane
    network-action-manager
    mobile-sim-manager
)

vala_add(libnetwork
  mobile-sim-manager.vala
  DEPENDS
    ofono
    utils
)

vala_add(libnetwork
  device-base.vala
)

vala_add(libnetwork
  device-ethernet.vala
  DEPENDS
    device-base
)

vala_add(libnetwork
  device-mobile.vala
  DEPENDS
    device-base
    mobile-sim-manager
)

vala_add(libnetwork
  device-wifi.vala
  DEPENDS
    device-base
)

vala_add(libnetwork
  settings-base.vala
)

vala_add(libnetwork
  settings-airplane.vala
  DEPENDS
    settings-base
)

vala_add(libnetwork
  settings-wifi.vala
  DEPENDS
    settings-base
)

vala_finish(libnetwork
  SOURCES
    LIBNETWORK_VALA_SOURCES
  OUTPUTS
    LIBNETWORK_VALA_C
  GENERATE_HEADER
    libnetwork.h
  GENERATE_VAPI
    libnetwork.vapi
  GENERATE_SYMBOLS
    libnetwork.def
)

set_source_files_properties(
  ${LIBNETWORK_VALA_SOURCES}
  PROPERTIES
  HEADER_FILE_ONLY TRUE
)

set(
  LIBNETWORK_SOURCES
  ${LIBNETWORK_VALA_SOURCES}
  ${LIBNETWORK_VALA_C}
  action-muxer.c
  util-wrapper.c
)

add_library(
  network
  STATIC
  ${LIBNETWORK_SOURCES}
)

target_link_libraries(
  network
  ${GLIB_LIBRARIES}
  ${NM_LIBRARIES}
  ${NOTIFY_LIBRARIES}
)

###########################
# network service
###########################

vala_init(network-service
  PACKAGES
    libnm-glib
    libnotify
    libnetwork
  DEPENDS
    "${CMAKE_CURRENT_BINARY_DIR}/libnetwork.vapi"
  CUSTOM_VAPIS
    "${CMAKE_CURRENT_SOURCE_DIR}/config.vapi"
    "${CMAKE_CURRENT_SOURCE_DIR}/action-muxer.vapi"
    "${CMAKE_CURRENT_SOURCE_DIR}/util-wrapper.vapi"
  OPTIONS
    --vapidir=.
)

vala_add(network-service
  network-menu-service.vala
)

vala_finish(network-service
  SOURCES
    NETWORK_SERVICE_VALA_SOURCES
  OUTPUTS
    NETWORK_SERVICE_VALA_C
)

set_source_files_properties(
  ${NETWORK_SERVICE_VALA_SOURCES}
  PROPERTIES
  HEADER_FILE_ONLY TRUE
)

set(
  NETWORK_SERVICE_SOURCES
  ${NETWORK_SERVICE_VALA_SOURCES}
  ${NETWORK_SERVICE_VALA_C}
)

add_executable(
  indicator-network-service
  ${NETWORK_SERVICE_SOURCES}
)

target_link_libraries(
  indicator-network-service
  network
)

###########################
# Installation
###########################

install(
  TARGETS indicator-network-service
  RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/indicator-network/"
)

=== secret-agent/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	SecretAgent.cpp
 	SecretAgentAdaptor.cpp
 	SecretRequest.cpp
-	gtk/PasswordMenu.cpp
+	PasswordMenu.cpp
 )
 
 qt5_add_dbus_adaptor(

=== tests/CMakeLists.txt ===

set(CMAKE_AUTOMOC OFF)
include(FindGMock)
set(CMAKE_AUTOMOC ON)

find_package("Valgrind" REQUIRED)

include_directories("${CMAKE_SOURCE_DIR}/secret-agent")
include_directories("${CMAKE_BINARY_DIR}/secret-agent")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

add_definitions(-DSECRET_AGENT_BIN="${CMAKE_BINARY_DIR}/secret-agent/indicator-secret-agent")
add_definitions(-DNETWORK_SERVICE_BIN="${CMAKE_BINARY_DIR}/network/indicator-network-service")

set(
	UNIT_TESTS_SRC
	TestIndicatorNetworkService.cpp
	TestSecretAgent.cpp
	main.cpp
)

set_source_files_properties(
	"${DATA_DIR}/nm-secret-agent.xml"
	PROPERTIES
	INCLUDE "DBusTypes.h"
)

qt5_add_dbus_interface(
	UNIT_TESTS_SRC
	"${DATA_DIR}/nm-secret-agent.xml"
	SecretAgentInterface
)

add_executable(
	unit-tests
	${UNIT_TESTS_SRC}
)

qt5_use_modules(
	unit-tests
	Core
	DBus
	Test
)

target_link_libraries(
	unit-tests
	indicator-secret-agent
	${QTDBUSMOCK_LIBRARIES}
	${QTDBUSTEST_LIBRARIES}
	${QMENUMODEL_LIBRARIES}
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_valgrind_test(
	unit-tests
	unit-tests
)

## indicator-network 0.5.1+14.10.20141014

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,30 @@
 project(indicator-network C CXX)
 cmake_minimum_required(VERSION 2.8.9)
 
+string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)
+
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
-set(PACKAGE ${CMAKE_PROJECT_NAME})
+
+if("${build_type_lower}" STREQUAL debug)
+  set(TRACE_DEFAULT TRUE)
+else()
+  set(TRACE_DEFAULT FALSE)
+endif()
+
+option(trace_messages "Print debug trace messages." ${TRACE_DEFAULT})
+
+if(${trace_messages})
+  add_definitions(-DINDICATOR_NETWORK_TRACE_MESSAGES)
+endif()
+
+find_package(PkgConfig REQUIRED)
+include(EnableCoverageReport)
+include(GNUInstallDirs)
+include(UseGSettings)
+
 set(GETTEXT_PACKAGE indicator-network)
 set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
-
-add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )
-
-find_package(PkgConfig REQUIRED)
-include(GNUInstallDirs)
-include(Coverage)
-include(UseVala)
-include(UseGSettings)
 
 # Workaround for libexecdir on debian
 if (EXISTS "/etc/debian_version")
@@ -40,6 +51,14 @@
   libnm-util>=${NM_REQUIRED_VERSION}
 )
 include_directories(${NM_INCLUDE_DIRS})
+
+set(OFONO_REQUIRED_VERSION 1.12)
+pkg_check_modules(
+  OFONO REQUIRED
+  ofono>=${OFONO_REQUIRED_VERSION}
+)
+include_directories(${OFONO_INCLUDE_DIRS})
+
 
 set(NOTIFY_REQUIRED_VERSION 0.7.5)
 pkg_check_modules(
@@ -72,30 +91,45 @@
 pkg_check_modules(GIO REQUIRED gio-2.0>=${GLIB_REQUIRED_VERSION})
 include_directories(${GIO_INCLUDE_DIRS})
 
-set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-find_package(Vala 0.22)
 
 find_package(GObjectIntrospection 0.9.12)
 
 include_directories(${CMAKE_BINARY_DIR})
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+set(COMMON_FLAGS "-Wall -Wextra -Wpedantic -fno-permissive -fPIC -fvisibility=hidden -pthread")
+if(NOT build_type_lower MATCHES debug)
+    set(COMMON_FLAGS "${COMMON_FLAGS} -Werror")
+endif()
 
-add_definitions(
-  -Wall
-)
+# "nice bug" in cmake... http://www.cmake.org/Bug/view.php?id=15058
+# let's not set C_FLAGS as it will break pthreads detection \o/
+#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 ${COMMON_FLAGS}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${COMMON_FLAGS} -fno-strict-aliasing -fvisibility-inlines-hidden")
 
 configure_file(
   "config.h.in"
   "config.h"
 )
 
+#####################################################################
+# Enable code coverage calculation with gcov/gcovr/lcov
+# Usage:
+#  * Switch build type to coverage (use ccmake or cmake-gui)
+#  * Invoke make, make test, make coverage
+#  * Find html report in subdir coveragereport
+#  * Find xml report feasible for jenkins in coverage.xml
+#####################################################################
+IF(build_type_lower MATCHES coverage)
+  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
+  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
+  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
+  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
+ENDIF()
+
 add_subdirectory(data)
-add_subdirectory(network)
-add_subdirectory(secret-agent)
+add_subdirectory(src)
+add_subdirectory(po)
 
 enable_testing()
 add_subdirectory(tests)
@@ -105,3 +139,5 @@
         ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
 )
 
+enable_coverage_report(TARGETS menumodel_cpp connectivity-cpp indicator-secret-agent
+                       FILTER ${CMAKE_SOURCE_DIR}/tests/* ${CMAKE_BINARY_DIR}/*)

=== src/CMakeLists.txt ===
add_subdirectory(dbus-cpp)
add_subdirectory(connectivity-cpp)
add_subdirectory(indicator)
add_subdirectory(menumodel-cpp)
add_subdirectory(notify-cpp)
add_subdirectory(secret-agent)
add_subdirectory(url-dispatcher-cpp)

=== tests/CMakeLists.txt ===

include(FindGMock)

find_package("Valgrind" REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(autopilot)
add_subdirectory(integration)
add_subdirectory(data)
add_subdirectory(unit)
add_subdirectory(utils)

=== src/connectivity-cpp/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,13 @@
 set(CONNECTIVITY_CPP_VERSION_MINOR 0)
 set(CONNECTIVITY_CPP_VERSION_PATCH 1)
 
-include_directories(
-    "${CMAKE_CURRENT_SOURCE_DIR}/include"
-    "${CMAKE_CURRENT_SOURCE_DIR}/backend"
-    "${CMAKE_CURRENT_BINARY_DIR}/backend"
-)
+include(CTest)
+
+find_package(PkgConfig REQUIRED)
+
+include_directories(include)
+include_directories(dbus-cpp)
+
 pkg_check_modules(
     PROPERTIESCPP REQUIRED
     properties-cpp
@@ -43,7 +45,15 @@
 )
 add_custom_target(QtCreatorHeaderHack SOURCES ${CONNECTIVITY_INTERFACES})
 
+# list these here to have them visible in Qt Creator
+set(DBUS_INTERFACES
+    dbus-cpp/services/nm.h
+    dbus-cpp/services/ofono.h
+    dbus-cpp/services/urfkill.h
+)
+add_custom_target(QtCreatorHeaderHack2 SOURCES ${DBUS_INTERFACES})
+
 add_subdirectory(data)
 #add_subdirectory(doc)
-#add_subdirectory(examples)
+add_subdirectory(examples)
 add_subdirectory(src)

=== src/dbus-cpp/CMakeLists.txt ===

set(DBUS_CPP_SERVICES
    services/connectivity.h
    services/ofono.h
)

add_custom_target(DBusCppServicesHack SOURCES ${DBUS_CPP_SERVICES})

=== src/indicator/CMakeLists.txt ===

include_directories("${CMAKE_SOURCE_DIR}/src/")

set(NETWORK_SERVICE_SOURCES
    indicator-network-service.cpp

    service.h
    indicator-menu.h
    modem.cpp
    modem.h
    modem-manager.cpp
    quick-access-section.cpp
    sim-unlock-dialog.cpp
    root-state.cpp
    wifi-link-item.h
    wifi-section.cpp
    wwan-link-item.cpp
    wwan-section.cpp

    connectivity-service/connectivity-service.cpp

    menuitems/access-point-item.h
    menuitems/item.h
    menuitems/modem-info-item.cpp
    menuitems/section.h
    menuitems/switch-item.h
    menuitems/text-item.h
)

add_executable(
  indicator-network-service
  ${NETWORK_SERVICE_SOURCES}
)

include_directories(
    ${CMAKE_SOURCE_DIR}/src/connectivity-cpp/include
    ${CMAKE_SOURCE_DIR}/src/connectivity-cpp/dbus-cpp
)
target_link_libraries(
    indicator-network-service
    menumodel_cpp
    notify_cpp
    url_dispatcher_cpp
    connectivity-cpp
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
    ${NOTIFY_LIBRARIES}
    ${OFONO_LIBRARIES}
)


###########################
# Installation
###########################

install(
  TARGETS indicator-network-service
  RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/indicator-network/"
)

=== src/menumodel-cpp/CMakeLists.txt ===

set(MENUMODEL_CPP_SOURCES
    gio-helpers/util.cpp
    gio-helpers/variant.h

    action.cpp
    action-group.h
    action-group-exporter.h
    action-group-merger.h
    menu.h
    menu-exporter.h
    menu-item.h
    menu-merger.h
    menu-model.h
)

add_library(menumodel_cpp STATIC ${MENUMODEL_CPP_SOURCES})
target_link_libraries(
    menumodel_cpp
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
)

###########################
# Installation
###########################

#install(
#  TARGETS indicator-network-service
#  RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/indicator-network/"
#)

=== src/secret-agent/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

set(
	INDICATOR_SECRET_AGENT_SOURCES
	SecretAgent.cpp
	SecretAgentAdaptor.cpp
	SecretRequest.cpp
	PasswordMenu.cpp
)

qt5_add_dbus_adaptor(
	INDICATOR_SECRET_AGENT_SOURCES
	"${DATA_DIR}/nm-secret-agent.xml"
	SecretAgentInclude.h
	SecretAgent
	SecretAgentAdaptor
)

qt5_add_dbus_interface(
	INDICATOR_SECRET_AGENT_SOURCES
	"${DATA_DIR}/nm-agent-manager.xml"
	AgentManagerInterface
)

set_source_files_properties(
	"${DATA_DIR}/org.freedesktop.Notifications.xml"
	PROPERTIES
	INCLUDE "DBusTypes.h"
)

qt5_add_dbus_interface(
	INDICATOR_SECRET_AGENT_SOURCES
	"${DATA_DIR}/org.freedesktop.Notifications.xml"
	NotificationsInterface
)

add_library(
	indicator-secret-agent
	STATIC
	${INDICATOR_SECRET_AGENT_SOURCES}
)

qt5_use_modules(
	indicator-secret-agent
	Core
	DBus
)

target_link_libraries(
	indicator-secret-agent
	${GIO_LIBRARIES}
)

add_executable(
	indicator-secret-agent-bin
	main.cpp
)

set_target_properties(
	indicator-secret-agent-bin
	PROPERTIES
	OUTPUT_NAME indicator-secret-agent
)

qt5_use_modules(
	indicator-secret-agent-bin
	Core
)

target_link_libraries(
	indicator-secret-agent-bin
	indicator-secret-agent
)

install(
	TARGETS indicator-secret-agent-bin
	RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}"
)

=== tests/integration/CMakeLists.txt ===
add_subdirectory(connectivity-cpp)

add_definitions(-DNETWORK_SERVICE_BIN="${CMAKE_BINARY_DIR}/network/indicator-network-service")

set(
    INTEGRATION_TESTS_SRC
    TestIndicatorNetworkService.cpp
)

add_executable(
    integration-tests
    ${INTEGRATION_TESTS_SRC}
)

qt5_use_modules(
    integration-tests
    Core
    DBus
    Test
)

target_link_libraries(
    integration-tests
    test-utils
    ${QTDBUSMOCK_LIBRARIES}
    ${QTDBUSTEST_LIBRARIES}
    ${QMENUMODEL_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

add_valgrind_test(
    integration-tests
    integration-tests
)

=== tests/unit/CMakeLists.txt ===
add_subdirectory(indicator)
add_subdirectory(menumodel-cpp)
add_subdirectory(secret-agent)

=== src/connectivity-cpp/src/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#     Antti Kaijanmäki <antti.kaijanmaki@canonical.com>

add_library(connectivity-cpp STATIC
    manager.cpp
)
set_target_properties(connectivity-cpp PROPERTIES
  VERSION ${CONNECTIVITY_CPP_VERSION_MAJOR}.${CONNECTIVITY_CPP_VERSION_MINOR}.${CONNECTIVITY_CPP_VERSION_PATCH}
  SOVERSION ${CONNECTIVITY_CPP_VERSION_MAJOR}
  OUTPUT_NAME "connectivity-cpp"
)
target_link_libraries(connectivity-cpp platform_nmofono)

add_subdirectory(platform/nmofono)

=== tests/integration/connectivity-cpp/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#     Antti Kaijanmäki <antti.kaijanmaki@canonical.com>


set (OLD_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
# Don't treat warnings as errors in 3rd_party/{gmock,cucumber-cpp}
string (REPLACE " -Werror " " " CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})
set (CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})

if (NOT DEFINED GTEST_ROOT)
    set(GTEST_ROOT /usr/src/gtest)
endif()

set(GTEST_SRC_DIR "${GTEST_ROOT}/src")
set(GTEST_INCLUDE_DIR ${GTEST_ROOT})

add_library(connectivity-gtest STATIC
${GTEST_SRC_DIR}/gtest-all.cc
${GTEST_SRC_DIR}/gtest_main.cc

)

set_target_properties(connectivity-gtest PROPERTIES INCLUDE_DIRECTORIES ${GTEST_INCLUDE_DIR})
target_link_libraries(connectivity-gtest ${CMAKE_THREAD_LIBS_INIT})

include_directories(${GTEST_INCLUDE_DIRS})

add_definitions(-DCORE_DBUS_ENABLE_GOOGLE_TEST_FIXTURE)

pkg_check_modules(PROCESS_CPP process-cpp)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/test_data.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/test_data.h @ONLY
)
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src/connectivity-cpp/include
    ${CMAKE_SOURCE_DIR}/src/connectivity-cpp/dbus-cpp
)

add_executable (
    test_networking_status
    test_networking_status.cpp
)

add_executable (
    test_flight_mode
    test_flight_mode.cpp
)

add_executable (
    test_wifi_link
    test_wifi_link.cpp
)

add_executable (
    test_wifi_link_dedup
    test_wifi_link_dedup.cpp
)

add_executable (
    test_wifi_connect
    test_wifi_connect.cpp
)

add_executable (
    test_wifi_link_enable_disable
    test_wifi_link_enable_disable.cpp
)

target_link_libraries(
    test_networking_status
    connectivity-cpp
    connectivity-gtest
    ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
    test_flight_mode
    connectivity-cpp
    connectivity-gtest
    ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
    test_wifi_link
    connectivity-cpp
    connectivity-gtest
    ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
    test_wifi_link_dedup
    connectivity-cpp
    connectivity-gtest
    ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
    test_wifi_connect
    connectivity-cpp
    connectivity-gtest
    ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
    test_wifi_link_enable_disable
    connectivity-cpp
    connectivity-gtest
    ${PROCESS_CPP_LIBRARIES}
)

add_test(test_networking_status ${CMAKE_CURRENT_BINARY_DIR}/test_networking_status)
add_test(test_flight_mode ${CMAKE_CURRENT_BINARY_DIR}/test_flight_mode)
add_test(test_wifi_link ${CMAKE_CURRENT_BINARY_DIR}/test_wifi_link)
add_test(test_wifi_link_dedup ${CMAKE_CURRENT_BINARY_DIR}/test_wifi_link_dedup)
add_test(test_wifi_connect ${CMAKE_CURRENT_BINARY_DIR}/test_wifi_connect)
add_test(test_wifi_link_enable_disable ${CMAKE_CURRENT_BINARY_DIR}/test_wifi_link_enable_disable)
